panel
GET
/rum/{app_id}/panels/{panel}
const url = 'https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/panels/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/panels/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” app_id
required
string format: uuid
panel
required
string
Query Parameters
Section titled “Query Parameters ” from
string
to
string
f
Array<string>
country
string
browser
string
os
string
device_type
string
url
string
device_class
string
desktop, mobile (phone and tablet), or all.
compare
string
previous returns the immediately preceding, non-overlapping period.
interval
string
tz
string
metric
string
Timeseries: sessions, views, errors, sessions_with_errors_pct. Attribution: lcp, inp, cls.
vital
string
route
string
group_by
string
route (default) or path.
limit
integer format: int32
offset
integer format: int32
Responses
Section titled “ Responses ” Media type application/json
Array<object>
object
event_count
required
integer format: int64
rage_click_count
required
integer format: int64
dead_click_count
required
integer format: int64
error_click_count
required
integer format: int64
value
required
string
view_count
required
integer format: int64
session_count
required
integer format: int64
error_session_count
required
integer format: int64
error_session_rate
required
number format: double
filters
Filters to apply to the Sessions list.
Array<string>
session_query
string
Example generated
[ { "event_count": 1, "rage_click_count": 1, "dead_click_count": 1, "error_click_count": 1, "value": "example", "view_count": 1, "session_count": 1, "error_session_count": 1, "error_session_rate": 1, "filters": [ "example" ], "session_query": "example" }]Invalid analytics query
Application not found
Query time limit exceeded